<?php

class PluginAmasons3_ModuleImage extends PluginAmasons3_Inherit_ModuleImage {
	
	public function Resize($sFileSrc,$sDirDest,$sFileDest,$iWidthMax,$iHeightMax,$iWidthDest=null,$iHeightDest=null,$bForcedMinSize=true,$aParams=null,$oImage=null) {
		$sFileImage = parent::Resize($sFileSrc,$sDirDest,$sFileDest,$iWidthMax,$iHeightMax,$iWidthDest,$iHeightDest,$bForcedMinSize,$aParams,$oImage);

		if (!(!extension_loaded('curl'))) 
		{
			$s3 = new S3(Config::Get ( 'plugin.amasons3.awsAccessKey' ), Config::Get ( 'plugin.amasons3.awsSecretKey' ));
			
			//($s3->putBucket(Config::Get ( 'plugin.amasons3.bucketName' ), S3::ACL_PUBLIC_READ)) 
			
			$ext = strtolower ( array_pop ( explode ( ".", $sFileImage ) ) );
			$filename = $sFileDest.'.'.$ext;			
			$filename = ltrim(rtrim($sDirDest, "/") .'/'. $filename, "/");
			
			if ($s3->putObjectFile($sFileImage, Config::Get ( 'plugin.amasons3.bucketName' ), $filename, S3::ACL_PUBLIC_READ)) {
				@unlink($sFileImage);
				return "http://" . Config::Get ( 'plugin.amasons3.bucketName' ) .  Config::Get ( 'plugin.amasons3.amason_suffix_url' ) . '/' . $filename;
			}
			
		}
		
		return $sFileImage;
	}
	
	public function GetWebPath($sPath) {
	
		$pos = strpos($sPath, Config::Get ( 'plugin.amasons3.amason_suffix_url' ));
		if ($pos === false) {	
			return parent::GetWebPath($sPath);
		} else {
			return $sPath;
		}
	}
	
	public function GetServerPath($sPath) {
		$pos = strpos($sPath, Config::Get ( 'plugin.amasons3.amason_suffix_url' ));
		if ($pos === false) {	
			return parent::GetServerPath($sPath);
		} else {
			return $sPath;
		}
	}
	
}
?>